Subject: Re: bug#17945: 24.4.50; vc-git-annotate-command is too slow

From: Dmitry Gutov <[email-masked]>
Date: Tue, 24 Feb 2015 18:36:43 +0200

On 02/24/2015 06:12 PM, Eli Zaretskii wrote:

> Why not a prefix argument?  It's easier to set once when one needs it,
> and is the usual way in Emacs to provide minor variations of commands.

I'm pretty sure `vc-switches' is the usual way to provide invocation 
arguments variations in VC, or else there would be no such function.

> Or maybe do both, for those who might want this optional behavior
> always (although given the massive slow-down, and the general
> dismissal of the issue among git users, I doubt that such a person
> exists).

I believe you should rather customize the new variable once and for all 
for your preference, or set it on by-project basis, in .dir-locals.el.